質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.53%

  • Ruby

    9189questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    8598questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

  • Ruby on Rails 5

    2967questions

  • Git

    1582questions

    Gitはオープンソースの分散バージョン管理システム(DVCS)です。

  • Heroku

    1160questions

    HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。

rails tutorialがherokuにデプロイできない

受付中

回答 0

投稿

  • 評価
  • クリップ 0
  • VIEW 156

nabe1005

score 2

前提・実現したいこと

rails tutorial を写経して2章の最後(scaffold)までやったけど、herokuにデプロイしようとするとエラーが出る。

発生している問題・エラーメッセージ

 !
 !     Could not detect rake tasks
 !     ensure you can run `$ bundle exec rake -P` against your app
 !     and using the production group of your Gemfile.
 !     Activating bundler (< 2) failed:
 !     Could not find 'bundler' (< 2) - did find: [bundler-2.0.1]
 !     Checked in 'GEM_PATH=vendor/bundle/ruby/2.4.0', execute `gem env` for more information
 !     
 !     To install the version of bundler this project requires, run `gem install bundler -v '< 2'`
 !
/app/tmp/buildpacks/19b20846a186a4065aa6710b809d0c465ff7a2235264402d06b5038f9562c56867a32c308dd2410d96108925a9f9fed74b5ef871dd6514a3a3a5485da3f442cf/lib/language_pack/helpers/rake_runner.rb:106:in `load_rake_tasks!': Could not detect rake tasks (LanguagePack::Helpers::RakeRunner::CannotLoadRakefileError)
ensure you can run `$ bundle exec rake -P` against your app
and using the production group of your Gemfile.
Activating bundler (< 2) failed:
Could not find 'bundler' (< 2) - did find: [bundler-2.0.1]
Checked in 'GEM_PATH=vendor/bundle/ruby/2.4.0', execute `gem env` for more information
To install the version of bundler this project requires, run `gem install bundler -v '< 2'`

試したこと

sqlite3からpgに変更する部分は確認済みで、データベースの問題ではないのではないかなぁと。
あとはassetsのプリコンパイルがうんたらかんたらというページを見てプリコンパイルしてからcommit→pushしても変わらず…。

補足情報(FW/ツールのバージョンなど)

https://ancient-brook-14484.herokuapp.com/
https://github.com/nabe1005/try-rails-tutorial2.git

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正の依頼

  • matsuand

    2019/01/16 17:48

    他所を調べる前に、まずは手元に示されているエラーメッセージを読みましょう。「Activating bundler (< 2) failed (バージョン2未満の bundler をアクティベートしようとして失敗)」、「Could not find 'bundler' (< 2) (バージョン2未満の bundler が見つかりません)」、・・・ そのエラーメッセージの先に、こうしなさいと示されています。

    キャンセル

  • nabe1005

    2019/01/16 18:06

    なるほど、herokuのbuildpackをgithubからbundler2のものを持ってきていて設定しているのですが、それがおかしいんでしょうか?
    少し試してみます。ありがとうございます

    キャンセル

まだ回答がついていません

同じタグがついた質問を見る

  • Ruby

    9189questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    8598questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

  • Ruby on Rails 5

    2967questions

  • Git

    1582questions

    Gitはオープンソースの分散バージョン管理システム(DVCS)です。

  • Heroku

    1160questions

    HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。